Subject: Re: What's in git.git

From: Jakub Narebski <[email-masked]>
Date: Sat, 08 Jul 2006 23:28:00 +0200

Junio C Hamano wrote:

> I hope further patches to this series will be added soon to
> autodetect the following in our Makefile (from "pu"):

I have just (re)sent series of patches adding autodetection
of building options via autoconf generated configure.
 
>         NO_D_INO_IN_DIRENT
>         NO_D_TYPE_IN_DIRENT
>         NO_STRCASESTR
>         NO_STRLCPY
>         NO_SETENV
>         NO_SOCKADDR_STORAGE
Done.

>         USE_PIC
To be written by somebody better versed in autoconf.

>         NEEDS_SSL_WITH_CRYPTO
>         NEEDS_LIBICONV
>         NEEDS_SOCKET
Needs checking.

>         WITH_OWN_SUBPROCESS_PY
>         NO_IPV6
>         NO_ICONV
Needs explanation, and probably custom test.

> These are not something you can change without replacing libc
> (or installed Python) wholesale, so autodetection would be
> always correct.
> 
> Also the following would be nice if autodetection worked for
> most of the users with ./configure command line override:
> 
>       CC
>       AR
>       TAR
Done, I think

>       INSTALL
Needs lightweight install-sh script. If I remember correctly someone 
provided such script because of lack of install on some exotic 
architecture. Easily provided.

>       SHELL_PATH
>       PERL_PATH
>       PYTHON_PATH
To be done using --with-shell=PATH, --with-perl=PATH, 
--with-python=PATH, easily.

>       BASIC_CFLAGS    mostly for -I include paths
>       BASIC_LDFLAGS   mostly for -L library paths
>       ALL_LDFLAGS
I don't know how to do this (for now), probably quite easy.

>       NO_OPENSSL
>       MOZILLA_SHA1
>       PPC_SHA1
>       ARM_SHA1
>       NO_CURL
>       NO_EXPAT
>       CURLDIR
>       OPENSSLDIR
>       ICONVDIR
>       EXPATDIR (we do not have one, but I think it should be there
>                 to allow -lexpat installed elsewhere just like
>                 we have CURLDIR and OPENSSLDIR)
Should be done in next series of patches... provided I'd have enough 
free time for this... 

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git